package eu.etaxonomy.taxeditor;

import org.apache.log4j.Logger;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

import eu.etaxonomy.taxeditor.dialogs.LoginDialog;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
import eu.etaxonomy.taxeditor.store.CdmStore;

public class ApplicationWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {
	private static final Logger logger = Logger.getLogger(ApplicationWorkbenchWindowAdvisor.class);

	public ApplicationWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
		super(configurer);
	}

	public ActionBarAdvisor createActionBarAdvisor(
			IActionBarConfigurer configurer) {
		return new ApplicationActionBarAdvisor(configurer);
	}

	public void preWindowOpen() {
		IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
		configurer.setInitialSize(new Point(963, 637));
		configurer.setShowCoolBar(true);
		configurer.setShowStatusLine(true);
		configurer.setShowPerspectiveBar(true);
		configurer.setTitle("EDIT Taxonomic Editor");
		configurer.setShowProgressIndicator(true);
	}
	
	public void postWindowOpen() { 
		PreferencesUtil.checkNomenclaturalCode();

		if(PreferencesUtil.shouldConnectAtStartUp())
			CdmStore.initialize();
	}
	
	private int authenticate(){
		Shell shell = TaxonomicEditorPlugin.getDefault().getWorkbench()
							.getActiveWorkbenchWindow().getShell();
		
		LoginDialog loginDialog = new LoginDialog(shell);
		return loginDialog.open();
	}
}
 