// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.annotatedlineeditor;

import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.Image;

/**
 * Methods for translating between the object in a line and 
 * its display in the editor.
 * 
 * @author p.ciardelli
 * @created 07.07.2009
 * @version 1.0
 */
public interface ILineDisplayStrategy {

	public static final String SUPPLEMENTAL_TEXT = "supplemental_text";
	
	int getIndent(Object entity);
	
	Image getIcon(Object entity);
	
	Font getFont(Object entity);
	
	/**
	 * For object's title cache output, mainly
	 * 
	 * Note: if object's cache is empty, return "", not null
	 * 
	 * @param entity
	 * @return
	 */
	String getText(Object entity);
	
	/**
	 * For object's supplemental information such as type, markers, etc.,
	 * usually stored in " [...]". 
	 * 
	 * @param entity
	 * @return
	 */
	String getSupplementalText(Object entity);
	
	String getEmptyCacheMessage(Object entity);
	
	void setText(String text, Object entity);
	
	@Deprecated
	Object getPropertySource(Object entity);
	
	String getHoverText(Object entity);
	
	void setStatusMessage(String text, Object entity);
	
	boolean isEntityCacheEmpty(Object entity);

	/**
	 * 
	 * 
	 * @param entity
	 */
	void addDisplayListener(Object entity, EntityListener listener);
}
