// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.bulkeditor.referencingobjects.ReferencingObjectsView;

/**
 * @author p.ciardelli
 * @created 08.07.2009
 * @version 1.0
 */
public class ShowReferencingObjectsHandler extends AbstractHandler {
	private static final Logger logger = Logger
			.getLogger(ShowReferencingObjectsHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		try {
			ReferencingObjectsView view = (ReferencingObjectsView) HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().
						showView(ReferencingObjectsView.ID);
//			view.updateReferencingObjects();
		} catch (PartInitException e) {
			logger.error("PartInitException when updating referncing objects view", e);
		}
		return null;
	}

}
