// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.dialogs.filteredSelection;

import java.util.UUID;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
import eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.editor.newWizard.NewDerivedUnitBaseWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 17, 2010
 * @version 1.0
 */
public class FilteredDerivedUnitSelectionDialog extends
		AbstractFilteredCdmResourceSelectionDialog<DerivedUnitBase> {

	public static DerivedUnitBase selectUnit(Shell shell, ConversationHolder conversation, DerivedUnitBase unit){
		FilteredDerivedUnitSelectionDialog dialog = new FilteredDerivedUnitSelectionDialog(shell, conversation,
				"Choose Unit", false, FilteredDerivedUnitSelectionDialog.class.getCanonicalName(), unit);
		return getSelectionFromDialog(dialog);
	}
	
	private static final Logger logger = Logger
			.getLogger(FilteredDerivedUnitSelectionDialog.class);

	protected FilteredDerivedUnitSelectionDialog(Shell shell, ConversationHolder conversation, String title,
			boolean multi, String settings, DerivedUnitBase cdmObject) {
		super(shell, conversation, title, multi, settings, cdmObject);
	}
	
	@Override
	protected DerivedUnitBase getPersistentObject(UUID uuid) {
		Object object = CdmStore.getOccurrenceService().load(uuid);
		
		SpecimenOrObservationBase specimenObservationBase = (SpecimenOrObservationBase) HibernateProxyHelper.deproxy(object);
		
		if(specimenObservationBase instanceof DerivedUnitBase){	
			return (DerivedUnitBase) specimenObservationBase; 
		}
		logger.error("Selected unit is not a derived unit");
		return null;		
	}

	@Override
	protected void initModel() {
		model = CdmStore.getOccurrenceService().getDerivedUnitBaseUuidAndTitleCache();
	}

	@Override
	protected AbstractNewEntityWizard getNewEntityWizard() {
		return new NewDerivedUnitBaseWizard();
	}

	@Override
	protected String getNewWizardLinkText() {
		return "Click link to create a new <A>Unit</A>.";
	}
}
