// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.dialogs.filteredSelection;

import java.util.UUID;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
import eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.editor.newWizard.NewFieldObservationWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 17, 2010
 * @version 1.0
 */
public class FilteredFieldObservationSelectionDialog extends
		AbstractFilteredCdmResourceSelectionDialog<FieldObservation> {
	
	public static FieldObservation selectObservation(Shell shell, ConversationHolder conversation, FieldObservation observation){
		FilteredFieldObservationSelectionDialog dialog = new FilteredFieldObservationSelectionDialog(shell, conversation,
				"Choose Derived Unit", false, FilteredFieldObservationSelectionDialog.class.getCanonicalName(), observation);
		return getSelectionFromDialog(dialog);
	}

	private static final Logger logger = Logger
			.getLogger(FilteredFieldObservationSelectionDialog.class);

	protected FilteredFieldObservationSelectionDialog(Shell shell, ConversationHolder conversation, 
			String title, boolean multi, String settings,
			FieldObservation cdmObject) {
		super(shell, conversation, title, multi, settings, cdmObject);
		// TODO Auto-generated constructor stub
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#getPersistentObject(java.util.UUID)
	 */
	@Override
	protected FieldObservation getPersistentObject(UUID uuid) {
		Object object = CdmStore.getOccurrenceService().load(uuid);
		
		SpecimenOrObservationBase specimenObservationBase = (SpecimenOrObservationBase) HibernateProxyHelper.deproxy(object);
		
		if(specimenObservationBase instanceof FieldObservation){	
			return (FieldObservation) specimenObservationBase; 
		}
		logger.error("Selected object is not a field observation");
		return null;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#initModel()
	 */
	@Override
	protected void initModel() {
		model = CdmStore.getOccurrenceService().getFieldObservationUuidAndTitleCache();
	}

	@Override
	protected AbstractNewEntityWizard getNewEntityWizard() {
		return new NewFieldObservationWizard();
	}

	@Override
	protected String getNewWizardLinkText() {
		return "Click link to create a new <A>Field Observation</A>.";
	}
}
