// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.dialogs.filteredSelection;

import java.util.UUID;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.editor.newWizard.NewTeamWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 22, 2010
 * @version 1.0
 */
public class FilteredNomenclaturalAuthorTeamSelectionDialog extends
	AbstractFilteredCdmResourceSelectionDialog<Team> {


	private static final Logger logger = Logger
			.getLogger(FilteredNomenclaturalAuthorTeamSelectionDialog.class);

	public static Team selectAuthorTeam(Shell shell, ConversationHolder conversation, Team team){
		FilteredNomenclaturalAuthorTeamSelectionDialog dialog = new FilteredNomenclaturalAuthorTeamSelectionDialog(shell, conversation,
				"Choose Author Team", false, FilteredNomenclaturalAuthorTeamSelectionDialog.class.getCanonicalName(), team);
		return getSelectionFromDialog(dialog);
	}
	
	protected FilteredNomenclaturalAuthorTeamSelectionDialog(Shell shell, ConversationHolder conversation, String title,
			boolean multi, String settings, Team agent) {
		super(shell, conversation, title, multi, settings, agent);
	}
	
	@Override
	protected AbstractNewEntityWizard getNewEntityWizard() {
		return new NewTeamWizard();
	}

	@Override
	protected String getNewWizardLinkText() {
		return "Click link to create a new <A>Team</A>.";
	}

	@Override
	protected void initModel() {
		model = CdmStore.getAgentService().getTeamUuidAndNomenclaturalTitle();
	}

	@Override
	protected Team getPersistentObject(UUID uuid) {
		return (Team) CdmStore.getAgentService().load(uuid);
	}
}
