// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.dialogs.filteredSelection;

import java.util.UUID;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.editor.newWizard.NewTeamWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Sep 24, 2009
 * @version 1.0
 */
public class FilteredTeamSelectionDialog extends
		AbstractFilteredCdmResourceSelectionDialog<Team> {
	private static final Logger logger = Logger
		.getLogger(FilteredTeamSelectionDialog.class);
	
	public static Team selectTeam(Shell shell, ConversationHolder conversation, Team team){
		FilteredTeamSelectionDialog dialog = new FilteredTeamSelectionDialog(shell, conversation,
				"Choose Team", false, FilteredTeamSelectionDialog.class.getCanonicalName(), team);
		return getSelectionFromDialog(dialog);
	}
	
	/**
	 * @param shell
	 * @param title
	 * @param multi
	 * @param settings
	 * @param cdmObject
	 */
	protected FilteredTeamSelectionDialog(Shell shell, ConversationHolder conversation,
			String title, boolean multi, String settings,
			Team cdmObject) {
		super(shell, conversation, title, multi, settings, cdmObject);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#initModel()
	 */
	@Override
	protected void initModel() {
		model = CdmStore.getAgentService().getTeamUuidAndTitleCache();
	}

	@Override
	protected AbstractNewEntityWizard getNewEntityWizard() {
		return new NewTeamWizard();
	}

	@Override
	protected String getNewWizardLinkText() {
		return "Click link to create a new <A>Team</A>.";
	}

	@Override
	protected Team getPersistentObject(UUID uuid) {
		return (Team) CdmStore.getAgentService().load(uuid);
	}
}
