/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;

/**
 * @author n.hoffmann
 * @created 23.03.2009
 * @version 1.0
 */
public class SaveTaxonHandler extends AbstractHandler {
	private static final Logger logger = Logger
			.getLogger(SaveTaxonHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {

		MultiPageTaxonEditor editor = EditorUtil.getActiveMultiPageTaxonEditor();
		
		return EditorUtil.getActivePage().saveEditor(editor, false);
		
	}
}
