// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PartInitException;

import eu.etaxonomy.taxeditor.editor.view.media.MediaViewPart;
import eu.etaxonomy.taxeditor.store.internal.TaxeditorStorePlugin;

/**
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class ShowMediaViewHandler extends AbstractHandler  implements IHandler {
	private static final Logger logger = Logger
			.getLogger(ShowMediaViewHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		try {
			TaxeditorStorePlugin.getDefault().getWorkbench()
				.getActiveWorkbenchWindow().getActivePage().showView(MediaViewPart.ID, 
					null, IWorkbenchPage.VIEW_VISIBLE);
		} catch (PartInitException e) {
			logger.error("Error opening name relationship view.", e);
		}
		return null;
	}
}
