/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.name;

import org.apache.log4j.Logger;
import org.eclipse.swt.graphics.Font;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.preference.Resources;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class AcceptedNameContainer extends AbstractGroupedContainer<Taxon> {
	@SuppressWarnings("unused")
	private static final Logger logger = Logger
			.getLogger(AcceptedNameContainer.class);
	
	public AcceptedNameContainer(TaxonNameEditor editor, AbstractGroup group) {
		super(editor, group, editor.getTaxon());
	}


	public void initializeComposite(){
		setIcon(ACCEPTED_ICON);
		setFont(getViewerFont());
		setIndent(ACCEPTED_INDENT);
		
		initTextViewer();
	}
	
	@Override
	protected Font getViewerFont() {
		return EditorUtil.getFont(Resources.ACCEPTED_TAXON_FONT);
	}


	
	@Override
	protected void updateNonEditableInfo() {
		// not needed
	}
}