/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.name;

import java.util.List;

import eu.etaxonomy.cdm.model.name.HomotypicalGroup;
import eu.etaxonomy.cdm.model.taxon.Synonym;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class HomotypicalSynonymGroup extends AbstractGroup {

	private HomotypicalGroup group;
	
	public HomotypicalSynonymGroup(TaxonNameEditor editor, HomotypicalGroup group) {
		super(editor);
		this.group = group;
	}
	
	public HomotypicalGroup getGroup() {
		return group;
	}

	@Override
	public void redraw() {
		List<Synonym> synonyms = getGroup().getSynonymsInGroup(getNameEditor().getTaxon().getSec());
		
		ContainerFactory.getInstance().fillGroup(this, synonyms, ContainerFactory.SYNONYM);
	}

	public boolean onComplete() {
		// TODO Auto-generated method stub
		return false;
	}
}
