/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.name;

import java.util.ArrayList;
import java.util.List;

import eu.etaxonomy.cdm.model.taxon.Taxon;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class MisappliedGroup extends AbstractGroup<Taxon> {

	public MisappliedGroup(TaxonNameEditor editor) {
		super(editor);
	}

	@Override
	public void redraw() {
		List<Taxon> misapplications = new ArrayList<Taxon>(editor.getTaxon().getMisappliedNames());
		ContainerFactory.getInstance().fillGroup(this, misapplications, ContainerFactory.MISAPPLICATION);
	}

	public boolean onComplete() {
		// TODO Auto-generated method stub
		return false;
	}
}
