/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.name;

import org.apache.log4j.Logger;
import org.eclipse.swt.dnd.DND;
import org.eclipse.swt.dnd.DragSourceAdapter;
import org.eclipse.swt.dnd.DragSourceEvent;

import eu.etaxonomy.cdm.model.common.ICdmBase;
import eu.etaxonomy.taxeditor.editor.CdmDataTransfer;

/**
 * @author n.hoffmann
 *
 */
public class NameEditorDragListener extends DragSourceAdapter {
	
	private static final Logger logger = Logger.getLogger(NameEditorDragListener.class);
	
	private AbstractGroupedContainer container;
		
	public NameEditorDragListener(AbstractGroupedContainer container){
		this.container = container;
	}
	
	public void dragFinished(DragSourceEvent event) {
		if(!event.doit)
			return;
		if(event.detail == DND.DROP_MOVE){
			logger.warn("drag finished");
			container.remove();
		}
		
	};
	
	@Override
	public void dragSetData(DragSourceEvent event) {
		ICdmBase[] cdmBaseObjects = new ICdmBase[]{(ICdmBase) container.getData()};
		if(CdmDataTransfer.getInstance().isSupportedType(event.dataType)){
			event.data = cdmBaseObjects;
		}
	}
	
	@Override
	public void dragStart(DragSourceEvent event) {
		event.doit = container.getData() != null;
	}
}
