// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.name.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.common.NotDefinedException;

import eu.etaxonomy.cdm.model.taxon.Synonym;
import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor;
import eu.etaxonomy.taxeditor.editor.Page;
import eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor;
import eu.etaxonomy.taxeditor.operations.SwapSynonymAndAcceptedOperation;

/**
 * @author n.hoffmann
 * @created 21.04.2009
 * @version 1.0
 */
public class SwapSynonymAndAcceptedHandler extends AbstractHandler implements
		IHandler {
	private static final Logger logger = Logger
			.getLogger(SwapSynonymAndAcceptedHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		MultiPageTaxonEditor multiEditor = EditorUtil.getActiveMultiPageTaxonEditor();

		TaxonNameEditor editor = (TaxonNameEditor) multiEditor.getPage(Page.NAME);
		
		Synonym synonym = (Synonym) EditorUtil.getSelection(event).getFirstElement();
		
		
		SwapSynonymAndAcceptedOperation operation;
		
		try {
			operation = new SwapSynonymAndAcceptedOperation(event.getCommand().getName(), editor.getUndoContext(),
								editor.getTaxon(), synonym, editor);
			EditorUtil.executeOperation(operation);
			
		} catch (NotDefinedException e) {
			logger.warn("Command name not set");
		} 

		return null;
	}
}
