// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.newWizard;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
import eu.etaxonomy.cdm.model.occurrence.Specimen;
import eu.etaxonomy.taxeditor.section.occurrence.DerivedUnitFacadeWizardPage;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 16, 2010
 * @version 1.0
 */
public class NewDerivedUnitBaseWizard extends AbstractNewEntityWizard<DerivedUnitBase> {
	private static final Logger logger = Logger
			.getLogger(NewDerivedUnitBaseWizard.class);

	@Override
	public void addPages() {
		addPage(new DerivedUnitFacadeWizardPage(formFactory, getConversationHolder(), entity));
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	@Override
	protected DerivedUnitBase createNewEntity() {
		// TODO we do want to create different derivates of DerivedUnitBase but go with specimen for testing 
		// at the moment
		// FIXME add wizard page that handles the selection of derived unit type
		return Specimen.NewInstance();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	@Override
	protected void saveEntity() {
		CdmStore.getOccurrenceService().saveOrUpdate(entity);
	}
}
