// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.newWizard;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.name.BotanicalName;
import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.cdm.model.name.ZoologicalName;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
import eu.etaxonomy.taxeditor.section.name.NonViralNameWizardPage;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NewNonViralNameWizard extends AbstractNewEntityWizard<NonViralName> {
	private static final Logger logger = Logger
			.getLogger(NewNonViralNameWizard.class);

	@Override
	public void addPages() {
		addPage(new NonViralNameWizardPage(formFactory, getConversationHolder(), entity));
	}
	
	@Override
	protected NonViralName createNewEntity() {
		NomenclaturalCode code = PreferencesUtil.getPreferredNomenclaturalCode();
		if(code.equals(NomenclaturalCode.ICBN)){
			return BotanicalName.NewInstance(null);
		}else if(code.equals(NomenclaturalCode.ICZN)){
			return ZoologicalName.NewInstance(null);
		}
		return null;
	}

	@Override
	protected void saveEntity() {
		CdmStore.getNameService().saveOrUpdate(entity);
	}
}
