// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.newWizard;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.taxeditor.section.agent.PersonWizardPage;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NewPersonWizard extends AbstractNewEntityWizard<Person> {
	private static final Logger logger = Logger
			.getLogger(NewPersonWizard.class);

	@Override
	public void addPages() {
		addPage(new PersonWizardPage(formFactory, getConversationHolder(), entity));
	}
	
	@Override
	protected Person createNewEntity() {
		return Person.NewTitledInstance("");
	}

	@Override
	protected void saveEntity() {
		CdmStore.getAgentService().saveOrUpdate(entity);
	}
}
