// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.newWizard;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.section.agent.TeamWizardPage;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NewTeamWizard extends AbstractNewEntityWizard<Team> {
	private static final Logger logger = Logger.getLogger(NewTeamWizard.class);

	@Override
	public void addPages() {
		addPage(new TeamWizardPage(formFactory, getConversationHolder(), entity));
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	@Override
	protected Team createNewEntity() {
		return Team.NewInstance();
	}

	@Override
	protected void saveEntity() {
		CdmStore.getAgentService().saveOrUpdate(entity);
	}
}
