// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.view.descriptive;

import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.description.TaxonDescription;
/**
 * Helper class used to group a description's elements by feature.
 * 
 * @author p.ciardelli
 *
 */
public class TaxonDescriptionFeature {
	
	private TaxonDescription description;
	private Feature feature;

	public TaxonDescriptionFeature(TaxonDescription description, Feature feature) {
		this.description = description;
		this.feature = feature;
	}
	
	/**
	 * @return the description
	 */
	public TaxonDescription getDescription() {
		return description;
	}

	/**
	 * @return the feature
	 */
	public Feature getFeature() {
		return feature;
	}
	
	@Override
	public String toString() {
		return feature.getLabel();
	}
}