package eu.etaxonomy.taxeditor.forms;


import java.util.Set;

import org.eclipse.core.runtime.ListenerList;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

public interface ICdmFormElement extends IPropertyChangeEmitter, IPropertyChangeListener {

	/**
	 * 
	 * @return
	 */
	public abstract ListenerList getPropertyChangeListeners();

	/**
	 * 
	 * @param propertyChangeListeners
	 */
	public abstract void setPropertyChangeListeners(
			ListenerList propertyChangeListeners);
	
	public abstract Set<Control> getControls();
	
	public abstract Set<ICdmFormElement> getElements();
	
	public abstract void addElement(ICdmFormElement element);
	
	public abstract ICdmFormElement getParentElement();
		
	public abstract void removeElements();
	
	public abstract Composite getLayoutComposite();
	
	public boolean containsFormElement(ICdmFormElement formElement);
	
	/**
	 * Refreshes the layout of this form element.
	 * 
	 * This method should be called when the content of the form element
	 * changes and the current element needs to display that changes
	 */
	public void refresh();
}