/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import java.net.URI;

import org.eclipse.swt.SWT;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.events.ControlEvent;
import org.eclipse.swt.events.ControlListener;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.forms.widgets.TableWrapData;

/**
 * @author n.hoffmann
 *
 */
public class ImageElement extends AbstractCdmFormElement implements ControlListener{

	private Browser browser;
	
	private URI imageUri;
	
	/**
	 * @param parent
	 * @param style
	 */
	protected ImageElement(CdmFormFactory formFactory, ICdmFormElement parentElement, URI imageUri, int style) {
		super(formFactory, parentElement);

		this.setImageUri(imageUri);
		
		formFactory.createLabel(getLayoutComposite(), "");
		
		browser = new Browser(getLayoutComposite(), SWT.NONE);
		
		TableWrapData layoutData = CdmFormFactory.FILL();
		layoutData.heightHint = 200;
		
		browser.setLayoutData(layoutData);
		
		showImage();
		browser.addControlListener(this);
	}

	/**
	 * 
	 */
	private void showImage() {
		Display.getDefault().asyncExec(new Runnable() {
			public void run() {
				String html = "";
				html = "<HTML><HEAD><TITLE></TITLE></HEAD><BODY marginwidth=0 marginheight=0 leftmargin=0 topmargin=0>";
				html += "<img width=\"" + calculateWidth() + "\" src=\"" + getImageUri() + "\" />";
				html += "</BODY></HTML>";
				
				browser.setText(html);
			}
		});
	}
	
	/** 
	 * @return
	 */
	public int calculateWidth() {		
		return browser.getBounds().width;
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.ControlListener#controlMoved(org.eclipse.swt.events.ControlEvent)
	 */
	public void controlMoved(ControlEvent e) {
		showImage();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.ControlListener#controlResized(org.eclipse.swt.events.ControlEvent)
	 */
	public void controlResized(ControlEvent e) {
		showImage();
	}

	/**
	 * @param imageUri the imageUri to set
	 */
	public void setImageUri(URI imageUri) {
		this.imageUri = imageUri;
		showImage();
	}

	/**
	 * @return the imageUri
	 */
	public URI getImageUri() {
		return imageUri;
	}
	
	public void addControlListener(ControlListener listener){
		browser.addControlListener(listener);
	}
	
	public void removeControlListener(ControlListener listener){
		browser.removeControlListener(listener);
	}

	public void setSelected(boolean selected) {
		
	}

}
