// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms;

import org.apache.log4j.Logger;

/**
 * @author n.hoffmann
 * @created Mar 22, 2010
 * @version 1.0
 */
public class IntegerTextWithLabelElement extends TextWithLabelElement {

	private static final Logger logger = Logger
			.getLogger(IntegerTextWithLabelElement.class);
	
	public IntegerTextWithLabelElement(CdmFormFactory toolkit,
			ICdmFormElement parentElement, String labelString,
			Integer initialInteger, int style) {
		super(toolkit, parentElement, labelString, null, null, style);
		setInteger(initialInteger);
	}
	
	public void setInteger(Integer integer) {
		super.setText(getStringRepresentation(integer));
	}
	
	public Integer getInteger() {
		String text = super.getText();
		return new Integer(text);
	}
	
	public String getStringRepresentation(Integer integer){
		if(integer != null){
			return integer.toString();
		}		
		return null;
	}
}
