// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Label;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class LabelElement extends AbstractCdmFormElement {

	private static final Logger logger = Logger.getLogger(LabelElement.class);
	private Label label;

	public LabelElement(CdmFormFactory formFactory, ICdmFormElement formElement, String text) {
		super(formFactory, formElement);
		
		label = formFactory.createLabel(getLayoutComposite(), text, SWT.WRAP);
		label.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
		addControl(label);
	}
	
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.ISelectable#setSelected(boolean)
	 */
	public void setSelected(boolean selected) {
		// no
	}


	public void setText(String text) {
		label.setText(text);
	}
}
