// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.ModifyEvent;

import eu.etaxonomy.cdm.model.common.Language;
import eu.etaxonomy.cdm.model.common.LanguageString;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Mar 25, 2010
 * @version 1.0
 */
public class LanguageStringWithLabelElement extends TextWithLabelElement {


	private static final Logger logger = Logger
			.getLogger(LanguageStringWithLabelElement.class);
	private LanguageString languageString;
	
	protected LanguageStringWithLabelElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			LanguageString languageString,  int style) {
		super(formFactory, parentElement, labelString, null, null, style);
		this.languageString = languageString;
	}
	
	protected LanguageStringWithLabelElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			LanguageString languageString, int height, int style) {
		super(formFactory, parentElement, labelString, null, height, style);
		this.languageString = languageString;
	}
	
	public void setLanguageString(LanguageString languageString, Language language) {
		this.languageString = languageString != null ? languageString : LanguageString.NewInstance("", language);
		super.setText(this.languageString.getText());
	}
	
	public LanguageString getLanguageString() {
		return languageString;
	}
	
	@Override
	public void modifyText(ModifyEvent e) {
		languageString.setText(text.getText());
		super.modifyText(e);
	}
	
	@Override
	public void setText(String text) {
		if(languageString == null){
			languageString = LanguageString.NewInstance("", CdmStore.getDefaultLanguage());
		}
		languageString.setText(text);
	}
}
