// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.selection;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredDerivedUnitSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Jun 17, 2010
 * @version 1.0
 */
public class DerivedUnitBaseSelectionElement extends AbstractSelectionElement<DerivedUnitBase> {

	private static final Logger logger = Logger
			.getLogger(DerivedUnitBaseSelectionElement.class);

	public DerivedUnitBaseSelectionElement(CdmFormFactory formFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, String labelString,
			DerivedUnitBase entity, int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				true, true, true, style);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		DerivedUnitBase newSelection = FilteredDerivedUnitSelectionDialog.selectUnit(getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}
}
