// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.selection;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.location.NamedArea;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredNamedAreaSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created May 11, 2010
 * @version 1.0
 */
public class NamedAreaSelectionElement extends AbstractSelectionElement<NamedArea> {



	private static final Logger logger = Logger
			.getLogger(NamedAreaSelectionElement.class);
	
	public NamedAreaSelectionElement(CdmFormFactory formFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, String labelString,
			NamedArea entity, int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				false, false, true, style);
	}

	public void widgetSelected(SelectionEvent e) {
		NamedArea newSelection = FilteredNamedAreaSelectionDialog.selectNamedArea(getLayoutComposite().getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}
	
	@Override
	protected String getTitle() {
		return (entity != null) ? entity.getRepresentation(CdmStore.getDefaultLanguage()).getLabel() : "";
	}
}
