// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.selection;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredNomenclaturalAuthorTeamSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Jun 22, 2010
 * @version 1.0
 */
public class NomenclaturalAuthorTeamSelectionElement extends AbstractSelectionElement<Team> {

	private static final Logger logger = Logger
			.getLogger(NomenclaturalAuthorTeamSelectionElement.class);

	public NomenclaturalAuthorTeamSelectionElement(CdmFormFactory formFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, String labelString, Team entity,	int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				true, true, true, style);
	}
	
	@Override
	protected String getTitle() {
		return (entity != null) ? entity.getNomenclaturalTitle() : "";
	}
	
	public void widgetSelected(SelectionEvent e) {
		Team newSelection = (Team) FilteredNomenclaturalAuthorTeamSelectionDialog.selectAuthorTeam(getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}
}
