/**
 * 
 */
package eu.etaxonomy.taxeditor.forms.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredReferenceSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hofmann
 *
 */
public class ReferenceSelectionElement extends AbstractSelectionElement<ReferenceBase>{

	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	public ReferenceSelectionElement(CdmFormFactory toolkit, ConversationHolder conversation, ICdmFormElement parentElement, String labelString,
			ReferenceBase selection, int style) {
		super(toolkit, conversation, parentElement, labelString, selection, true, true, true, style);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	public void widgetSelected(SelectionEvent e) {
		ReferenceBase newSelection = FilteredReferenceSelectionDialog.selectReference(getShell(), getConversationHolder(), entity);
		
		ReferenceBase freshlyLoadedSelection = null;
		if(newSelection != null)
			freshlyLoadedSelection = CdmStore.getReferenceService().load(newSelection.getUuid());
		
		setSelectionInternal(freshlyLoadedSelection);
	}
}
