// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.selection;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.dialogs.filteredSelection.FilteredTeamSelectionDialog;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Apr 30, 2010
 * @version 1.0
 */
public class TeamSelectionElement extends AbstractSelectionElement<Team> {

	private static final Logger logger = Logger
			.getLogger(TeamSelectionElement.class);
	
	public TeamSelectionElement(CdmFormFactory toolkit, ConversationHolder conversation,
			ICdmFormElement parentElement, String labelString,
			Team selection, int style) {
		super(toolkit, conversation, parentElement, labelString, selection, true, true, true, style);
	}

	public void widgetSelected(SelectionEvent e) {
		Team newSelection = (Team) FilteredTeamSelectionDialog.selectTeam(getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}
	
}
