// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.term;

import java.util.List;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.common.AnnotationType;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author n.hoffmann
 * @created May 12, 2010
 * @version 1.0
 */
public class AnnotationTypeComboElement extends AbstractTermComboElement<AnnotationType> {

	private static final Logger logger = Logger
			.getLogger(AnnotationTypeComboElement.class);

	private static final int VISIBLE_ITEMS = 10;
	
	public AnnotationTypeComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			AnnotationType selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement#preferredTerms()
	 */
	@Override
	protected List preferredTerms() {
		return PreferencesUtil.getPreferredAnnotationTypes();
	}
}
