/**
 * 
 */
package eu.etaxonomy.taxeditor.forms.term;

import java.util.List;

import eu.etaxonomy.cdm.model.common.Language;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 *
 */
public class LanguageComboElement extends AbstractTermComboElement<Language> {

	private static final int VISIBLE_ITEMS = 20;

	/**
	 * 
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param style
	 */
	public LanguageComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString, Language selection, int style) {
		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractTermComboComposite#preferredTerms()
	 */
	@Override
	protected List<Language> preferredTerms() {
		return PreferencesUtil.getPreferredLanguages();
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.termcombos.AbstractTermComboComposite#getLabel(eu.etaxonomy.cdm.model.common.DefinedTermBase)
	 */
	@Override
	protected String getLabel(Language term) {
		return term.getDescription(CdmStore.getDefaultLanguage());
	}
}
