// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.term;

import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.model.NomenclaturalCodeHelper;

/**
 * @author n.hoffmann
 * @created Mar 16, 2010
 * @version 1.0
 */
public class NomenclaturalCodeComboElement extends AbstractEnumComboElement<NomenclaturalCode> {
	
	public NomenclaturalCodeComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString, NomenclaturalCode nomenclaturalCode, int style) {
		super(formFactory, parentElement, labelString);
	}

	/**
	 * 
	 */
	protected void populateTypes() {
		for(NomenclaturalCode nomenclaturalCode : NomenclaturalCode.values()){
			elementTypeList.add(nomenclaturalCode);
			combo.add(nomenclaturalCode.name());
		}
	}
}
