// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.term;

import java.util.List;

import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class NomenclaturalStatusTypeComboElement extends
		AbstractTermComboElement<NomenclaturalStatusType> {
	
	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param listener
	 * @param visibleItems
	 * @param style
	 */
	public NomenclaturalStatusTypeComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement,
			String labelString, NomenclaturalStatusType selection, int style) {
		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.termcombos.AbstractTermComboComposite#preferredTerms()
	 */
	@Override
	protected List<NomenclaturalStatusType> preferredTerms() {
		return PreferencesUtil.getPreferredNomenclaturalStatusTypes();
	}
}
