// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.term;

import java.util.List;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author n.hoffmann
 * @created May 11, 2010
 * @version 1.0
 */
public class PresenceAbsenceTermComboElement extends
		AbstractTermComboElement<PresenceAbsenceTermBase> {
	
	private static final Logger logger = Logger
			.getLogger(PresenceAbsenceTermComboElement.class);

	private static final int VISIBLE_ITEMS = 10;
	
	public PresenceAbsenceTermComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			PresenceAbsenceTermBase selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	@Override
	protected List<PresenceAbsenceTermBase> preferredTerms() {
		return PreferencesUtil.getPreferredPresenceAbsenceTerms();
	}
}
