// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.term;

import eu.etaxonomy.cdm.model.reference.ReferenceType;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class ReferenceTypeComboElement extends AbstractEnumComboElement<ReferenceType>{

	/**
	 * @param parent
	 * @param listener
	 * @param style
	 */
	public ReferenceTypeComboElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString, ReferenceType referenceType, int style) {
		super(formFactory, parentElement, labelString);
	}

	/**
	 * 
	 */
	protected void populateTypes() {
		for(ReferenceType referenceType : ReferenceType.values()){
			elementTypeList.add(referenceType);
			combo.add(referenceType.getMessage(CdmStore.getDefaultLanguage()));
		}
	}
}
