// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.term;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.description.Sex;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Jun 24, 2010
 * @version 1.0
 */
public class SexComboElement extends AbstractTermComboElement<Sex> {


	private static final Logger logger = Logger
			.getLogger(SexComboElement.class);

	private static final int VISIBLE_ITEMS = 2;
	
	public SexComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString, Sex selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement#preferredTerms()
	 */
	@Override
	protected List preferredTerms() {
		List list = new ArrayList<Sex>();
		list.add(Sex.FEMALE());
		list.add(Sex.MALE());
		return list;
	}
}
