// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.ui.PartInitException;

import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.bulkeditor.BulkEditorUtil;
import eu.etaxonomy.taxeditor.editor.EditorUtil;

/**
 * @author n.hoffmann
 * @created Apr 26, 2010
 * @version 1.0
 */
public class BulkEditorOpeningSelectionListener extends SelectionAdapter{
	
	private static final Logger logger = Logger
			.getLogger(BulkEditorOpeningSelectionListener.class);
	
	private IdentifiableEntity entity;

	public BulkEditorOpeningSelectionListener(IdentifiableEntity entity){
		this.entity = entity;
	}

	@Override
	public void widgetSelected(SelectionEvent e) {
		try {
			if(entity == null ){
				logger.error("Trying to open bulk editor for null entity");				
			}
			if(entity.getId() == 0){
				EditorUtil.warningDialog(entity.getClass().getSimpleName() + " not persisted yet", 
						"Please save the currently open editor to edit details of the selected entity.");
				logger.warn("Object not persisted yet");
			}else{
				BulkEditorUtil.openEditor(entity);
			}
		} catch (PartInitException ex) {
//			logger.error("Could not open BulkEditor", ex);
			throw new RuntimeException("Could not open BulkEditor", ex);
		}
	}
	
}