// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.joda.time.DateTime;

import eu.etaxonomy.cdm.common.CdmUtils;
import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.cdm.model.common.VersionableEntity;
import eu.etaxonomy.taxeditor.forms.AbstractCdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.IEntityElement;

/**
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class EmptyElement extends AbstractCdmFormElement implements IEntityElement<VersionableEntity> {

	private static final Logger logger = Logger.getLogger(EmptyElement.class);
	private VersionableEntity entity;
	
	/**
	 * @param parent
	 * @param listener
	 * @param style
	 */
	public EmptyElement(CdmFormFactory toolkit, ICdmFormElement parentElement, VersionableEntity entity, int style) {
		super(toolkit, parentElement);
		addControl(new Label(getLayoutComposite(), SWT.HORIZONTAL));
	}
	
	public void setEntity(VersionableEntity entity){

		this.entity = entity;		
	}

	public VersionableEntity getEntity() {
		return entity;
	}

	public void setSelected(boolean selected) {
		// will not likely be selected
	}
}
