// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.agent;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class PersonWizardPage extends AbstractCdmEntityWizardPage<Person> {

	private static final Logger logger = Logger
			.getLogger(PersonWizardPage.class);

	public PersonWizardPage(CdmFormFactory formFactory, ConversationHolder conversation,
			Person entity) {
		super(formFactory, conversation, entity);
		setTitle("Person");
	}
	
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.CdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
	 */
	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		PersonDetailElement personElement = (PersonDetailElement) formFactory.createCdmDetailElement(DetailType.PERSON, rootElement, SWT.NULL);
		personElement.setEntity(entity);
		return personElement;
	}
}
