// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.agent;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.CdmPropertyChangeEvent;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.forms.selection.PersonSelectionElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement;
import eu.etaxonomy.taxeditor.section.BulkEditorOpeningSelectionListener;

/**
 * @author n.hoffmann
 * @created Apr 30, 2010
 * @version 1.0
 */
public class TeamMemberElement extends AbstractEntityCollectionElement<Person> {

	private static final Logger logger = Logger
			.getLogger(TeamMemberElement.class);
	private PersonSelectionElement selection_person;

	public TeamMemberElement(CdmFormFactory cdmFormFactory,
			AbstractFormSection section, Person entity,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, section, entity, removeListener, null, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#createControls(eu.etaxonomy.taxeditor.forms.ICdmFormElement, int)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		selection_person = (PersonSelectionElement) formFactory.createSelectionElement(SelectionType.PERSON, getConversationHolder(), this, "Person", null, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#setEntity(eu.etaxonomy.cdm.model.common.VersionableEntity)
	 */
	@Override
	public void setEntity(Person entity) {
		this.entity = entity;
		selection_person.setEntity(entity);
	}

	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == selection_person){
			if(getParentElement() instanceof TeamMemberSection){
				TeamMemberSection teamMemberSection = (TeamMemberSection) getParentElement();
				Team team = teamMemberSection.getEntity();
				
				int index = team.getTeamMembers().indexOf(getEntity());
				
				team.removeTeamMember(getEntity());
				team.addTeamMember(selection_person.getEntity(), index);
				firePropertyChangeEvent(new CdmPropertyChangeEvent(teamMemberSection, eventSource));
			}
			entity = selection_person.getEntity();
			
		}
	}
}
