// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.agent;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 * @created Apr 30, 2010
 * @version 1.0
 */
public class TeamMemberSection extends AbstractEntityCollectionSection<Team, Person> {

	private static final Logger logger = Logger
			.getLogger(TeamMemberSection.class);

	public TeamMemberSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, null, style);
	}
	
	@Override
	public String getTitleString() {
		return "Team Members";
	}

	@Override
	public void addElement(Person element) {
		getEntity().addTeamMember(element);
	}

	@Override
	public Person createNewElement() {
		return Person.NewTitledInstance("");
	}

	@Override
	public Collection<Person> getCollection(Team entity) {
		return getEntity().getTeamMembers();
	}

	@Override
	public String getEmptyString() {
		return "No persons yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Add a membmer to this team";
	}

	@Override
	public void removeElement(Person element) {
		getEntity().removeTeamMember(element);
	}
	
	
}
