// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.agent;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Team;
import eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class TeamWizardPage extends AbstractCdmEntityWizardPage<Team> {

	private static final Logger logger = Logger.getLogger(TeamWizardPage.class);

	public TeamWizardPage(CdmFormFactory formFactory, ConversationHolder conversation, Team entity) {
		super(formFactory, conversation, entity);
		setTitle("Team");
	}
	
	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		TeamDetailElement teamElement = (TeamDetailElement) formFactory.createCdmDetailElement(DetailType.TEAM, rootElement, SWT.NULL);
		teamElement.setEntity(entity);
//		
//		TeamMemberSection teamMemberSection = (TeamMemberSection) formFactory.createEntityDetailSection(EntityDetailType.TEAMMEMBER, rootElement, Section.EXPANDED);
//		teamMemberSection.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
//		teamMemberSection.setEntity(entity);
		
		
		return teamElement;
	}
}
