// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.model.description.DescriptionBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Mar 5, 2010
 * @version 1.0
 */
public class DescriptionDetailElement extends AbstractCdmDetailElement<DescriptionBase> {


	private static final Logger logger = Logger
			.getLogger(DescriptionDetailElement.class);
	private TextWithLabelElement detailDescription;

	public DescriptionDetailElement(CdmFormFactory cdmFormFactory,
			ICdmFormElement formElement, int style) {
		super(cdmFormFactory, formElement);
	}
	
	@Override
	protected void createControls(ICdmFormElement formElement, DescriptionBase entity, int style) {
		detailDescription = formFactory.createMultilineTextWithLabel(this, null, 100, SWT.WRAP);
		detailDescription.setText(entity.getTitleCache());
		
	}
	
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == detailDescription){
			getEntity().setTitleCache(detailDescription.getText(), true);
		}
	}
}
