// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 * @created Mar 18, 2010
 * @version 1.0
 */
public class DescriptionElementMediaSection extends
		AbstractEntityCollectionSection<DescriptionElementBase, Media> {
	private static final Logger logger = Logger
		.getLogger(DescriptionElementMediaSection.class);
	
	public DescriptionElementMediaSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Media", style);
	}
	
	@Override
	public void setEntity(DescriptionElementBase entity) {
		if(entity.getFeature().equals(Feature.IMAGE())){
			this.setVisible(false);
		}
		super.setEntity(entity);
	}

	@Override
	public void addElement(Media element) {
		getEntity().addMedia(element);
	}

	@Override
	public Media createNewElement() {
		return Media.NewInstance();
	}

	@Override
	public Collection<Media> getCollection(DescriptionElementBase entity) {
		return entity.getMedia();
	}

	@Override
	public String getEmptyString() {
		return "No media yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create new media";
	}

	@Override
	public void removeElement(Media element) {
		getEntity().removeMedia(element);
	}
	
}
