/**
 * 
 */
package eu.etaxonomy.taxeditor.section.description;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.DescriptionElementSource;
import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * 
 * @author n.hoffmann
 * @created Nov 17, 2009
 * @version 1.0
 */
public class DescriptionElementSourceSection extends AbstractEntityCollectionSection<DescriptionElementBase, DescriptionElementSource>{

	/**
	 * 
	 * @param parentElement
	 * @param entity
	 * @param listener
	 * @param style
	 */
	public DescriptionElementSourceSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style){
		super(cdmFormFactory, conversation, parentElement, "References", style);
	}

	@Override
	public DescriptionElementSource createNewElement() {
		return DescriptionElementSource.NewInstance();
	}

	@Override
	public Collection<DescriptionElementSource> getCollection(
			DescriptionElementBase entity) {
		if(entity != null){
			return entity.getSources();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return "No references yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new reference";
	}

	@Override
	public void addElement(DescriptionElementSource element) {
		getEntity().addSource(element);
	}

	@Override
	public void removeElement(DescriptionElementSource element) {
		getEntity().removeSource(element);
	}
}
