// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.DescriptionBase;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;
import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 * @created Mar 18, 2010
 * @version 1.0
 */
public class DescriptionSourceSection extends
		AbstractEntityCollectionSection<DescriptionBase, ReferenceBase>{
	private static final Logger logger = Logger
			.getLogger(DescriptionSourceSection.class);
	
	public DescriptionSourceSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Description Sources", style);
	}

	

	@Override
	public void addElement(ReferenceBase element) {
		getEntity().addDescriptionSource(element);
	}

	@Override
	public ReferenceBase createNewElement() {
		return new ReferenceFactory().newGeneric();
	}

	@Override
	public Collection<ReferenceBase> getCollection(DescriptionBase entity) {
		return entity.getDescriptionSources();
	}

	@Override
	public String getEmptyString() {
		return "No description sources yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Add a reference as source for this description";
	}

	@Override
	public void removeElement(ReferenceBase element) {
		getEntity().removeDescriptionSource(element);
	}
}
