// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.cdm.model.description.Modifier;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 * @created Mar 18, 2010
 * @version 1.0
 */
public class ModifierSection extends AbstractEntityCollectionSection<DescriptionElementBase, Modifier>{
	private static final Logger logger = Logger
			.getLogger(ModifierSection.class);

	/**
	 * @param cdmFormFactory
	 * @param parentElement
	 * @param title
	 * @param style
	 */
	public ModifierSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Modifier", style);
	}

	@Override
	public void addElement(Modifier element) {
		getEntity().addModifier(element);
	}

	@Override
	public Modifier createNewElement() {
		return Modifier.NewInstance();
	}

	@Override
	public Collection<Modifier> getCollection(DescriptionElementBase entity) {
		return getEntity().getModifiers();
	}

	@Override
	public String getEmptyString() {
		return "No modifiers yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new modifier";
	}

	@Override
	public void removeElement(Modifier element) {
		getEntity().removeModifier(element);
	}
}
