// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.Scope;
import eu.etaxonomy.cdm.model.description.TaxonDescription;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 * @created Mar 18, 2010
 * @version 1.0
 */
public class ScopeSection extends AbstractEntityCollectionSection<TaxonDescription, Scope> {


	private static final Logger logger = Logger.getLogger(ScopeSection.class);

	public ScopeSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Scope", style);
	}
	
	@Override
	public void addElement(Scope element) {
		getEntity().addScope(element);
	}

	@Override
	public Scope createNewElement() {
		return Scope.NewInstance();
	}

	@Override
	public Collection<Scope> getCollection(TaxonDescription entity) {
		return entity.getScopes();
	}

	@Override
	public String getEmptyString() {
		return "No scopes yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new scope";
	}

	@Override
	public void removeElement(Scope element) {
		getEntity().removeScope(element);
	}
}
