// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description.detail;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.ToolBarManager;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Control;

import eu.etaxonomy.cdm.model.description.Distribution;
import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.forms.selection.NamedAreaSelectionElement;
import eu.etaxonomy.taxeditor.forms.term.PresenceAbsenceTermComboElement;
import eu.etaxonomy.taxeditor.operations.ChangeDescriptionElementType;
import eu.etaxonomy.taxeditor.operations.ChangeDescriptionElementType.DestinationType;

/**
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class DistributionDetailElement extends
		AbstractDetailedDescriptionDetailElement<Distribution> {

	private static final Logger logger = Logger
			.getLogger(DistributionDetailElement.class);
	private NamedAreaSelectionElement selection_namedArea;
	private PresenceAbsenceTermComboElement combo_presenceAbsence;
	

	public DistributionDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, Distribution entity, int style) {
		super(formFactory, formElement, entity, style);
	}
	
	@Override
	protected void createControls(ICdmFormElement formElement,
			Distribution entity, int style) {
		selection_namedArea = formFactory.createNamedAreaSelectionElement(this, getConversationHolder(), "Area", entity.getArea(), style);
		
        combo_presenceAbsence = (PresenceAbsenceTermComboElement) formFactory.createTermComboElement(TermComboType.PRESENCEABSENCESTATUS, this, entity.getStatus(), style);
        
	}

	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == selection_namedArea){
			getEntity().setArea(selection_namedArea.getEntity());
		}else if(eventSource == combo_presenceAbsence){
			getEntity().setStatus(combo_presenceAbsence.getSelection());
		}
	}

	
}
