// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description.detail;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.model.description.TaxonInteraction;
import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.forms.selection.TaxonSelectionElement;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class TaxonInteractionDetailElement extends AbstractDetailedDescriptionDetailElement<TaxonInteraction>{

	private static final Logger logger = Logger
			.getLogger(TaxonInteractionDetailElement.class);
	private TaxonSelectionElement taxonSelection;
	private TextWithLabelElement interactionDescription;

	public TaxonInteractionDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, TaxonInteraction entity, int style) {
		super(formFactory, formElement, entity, style);
	}

	@Override
	protected void createControls(ICdmFormElement formElement,
			TaxonInteraction entity, int style) {
		taxonSelection = (TaxonSelectionElement) formFactory.createSelectionElement(SelectionType.TAXON, getConversationHolder(), this, null, entity.getTaxon2(), SWT.WRAP);
		
		interactionDescription = formFactory.createMultilineTextWithLabel(this, "Description", 200, SWT.WRAP);
		interactionDescription.setText(entity.getDescription(CdmStore.getDefaultLanguage()));
	}


	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == taxonSelection){
			getEntity().setTaxon2( (Taxon) taxonSelection.getEntity());
		}else if(eventSource == interactionDescription){
			getEntity().addDescription(interactionDescription.getText(), CdmStore.getDefaultLanguage());
		}
	}
}
