// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.description.detail;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.model.description.TextData;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class TextDataDetailElement extends AbstractDetailedDescriptionDetailElement<TextData> {
	


	private static final Logger logger = Logger
			.getLogger(TextDataDetailElement.class);
	private TextWithLabelElement multilineTextWithLabel;
	
	public TextDataDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, TextData entity, int style) {
		super(formFactory, formElement, entity, style);
	}
	
	@Override
	protected void createControls(ICdmFormElement formElement, TextData entity,
			int style) {
		multilineTextWithLabel = formFactory.createMultilineTextWithLabel(this, null, 400, SWT.WRAP); // TODO: MultilineTextWithLabel.MAX_HEIGHT once layout is correct

		multilineTextWithLabel.setText(entity.getText(CdmStore.getDefaultLanguage()));
	}

	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == multilineTextWithLabel){
			getEntity().putText(multilineTextWithLabel.getText(), CdmStore.getDefaultLanguage());
		}
	}
}
