// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.name;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.CheckboxElement;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.supplemental.AbstractReferencedEntityElement;

/**
 * @author n.hoffmann
 * @created May 17, 2010
 * @version 1.0
 */
public abstract class AbstractTypeDesignationElement<T extends TypeDesignationBase> extends AbstractReferencedEntityElement<T> {

	private static final Logger logger = Logger
			.getLogger(AbstractTypeDesignationElement.class);
	protected CheckboxElement checkbox_notDesignated;
	

	public AbstractTypeDesignationElement(CdmFormFactory formFactory,
			AbstractFormSection section, T entity,
			SelectionListener removeListener, int style) {
		super(formFactory, section, entity, removeListener, style);
	}
	
	@Override
	public void createControls(ICdmFormElement formElement, int style) {
		checkbox_notDesignated = formFactory.createCheckbox(formElement, "Not Designated", false, style);
		super.createControls(formElement, style);
	}
	
}
