// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.name;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.name.NameRelationship;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.LabelElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.selection.AbstractSelectionElement;
import eu.etaxonomy.taxeditor.forms.term.NameRelationshipTypeComboElement;
import eu.etaxonomy.taxeditor.section.supplemental.AbstractReferencedEntityElement;

/**
 * @author n.hoffmann
 * @created Mar 18, 2010
 * @version 1.0
 */
public class NameRelationshipDetailElement extends AbstractReferencedEntityElement<NameRelationship>{

	private static final Logger logger = Logger
			.getLogger(NameRelationshipDetailElement.class);
	private TextWithLabelElement text_ruleConsidered;
	private AbstractSelectionElement selection_toName;
	private NameRelationshipTypeComboElement combo_relationshipType;
	private LabelElement label;

	public NameRelationshipDetailElement(CdmFormFactory cdmFormFactory,
			AbstractFormSection formElement,
			NameRelationship entity, SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, entity, removeListener, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#createControls(org.eclipse.swt.widgets.Composite, int)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		label = formFactory.createLabel(element, null);
		
		text_ruleConsidered = formFactory.createTextWithLabelElement(element, "Rule Considered", null, SWT.NULL);
		
		super.createControls(element, style);
	}
	
	@Override
	public void setEntity(NameRelationship entity) {
		String text = entity.getFromName().getTitleCache() + " is " + entity.getType().getLabel() + " " + entity.getToName().getTitleCache();
		
		label.setText(text);
		text_ruleConsidered.setText(entity.getRuleConsidered());
		
		super.setEntity(entity);		
	}
	
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == combo_relationshipType){
			getEntity().setType(combo_relationshipType.getSelection());
		}
		else if(eventSource == selection_toName){
			logger.error("No API call available.");
		}
		else if(eventSource == text_ruleConsidered){
			getEntity().setRuleConsidered(text_ruleConsidered.getText());
		}
		// referenced entity fields
	}

}
