// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.name;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
import eu.etaxonomy.cdm.model.name.NameRelationship;
import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NameRelationshipWizard extends Wizard implements IConversationEnabled{

	private static NameRelationshipDetailSection callingSection;
	
	public NameRelationshipWizard(NameRelationshipDetailSection callingSection) {
		this.callingSection = callingSection;
	}
	
	private static final Logger logger = Logger
			.getLogger(NameRelationshipWizard.class);
	
	private NameRelationshipWizardPage page;

	@Override
	public void addPages() {
		page = new NameRelationshipWizardPage(callingSection); 
		
		addPage(page);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		return page.isPageComplete();
	}



	public NameRelationship getNameRelationship() {
		return page.getNameRelationship();
	}

	public ConversationHolder getConversationHolder() {
		return callingSection.getConversationHolder();
	}

	public void update(CdmDataChangeMap changeEvents) {}
}
