// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.occurrence;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
import eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jun 16, 2010
 * @version 1.0
 */
public class DerivedUnitFacadeWizardPage extends AbstractCdmEntityWizardPage<DerivedUnitBase> {


	private static final Logger logger = Logger
			.getLogger(DerivedUnitFacadeWizardPage.class);

	
	public DerivedUnitFacadeWizardPage(CdmFormFactory formFactory, ConversationHolder conversation, DerivedUnitBase entity) {
		super(formFactory, conversation, entity);
		setTitle("Derived Unit");
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
	 */
	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		DerivedUnitFacadeDetailElement derivedUnitFacadeDetailElement = (DerivedUnitFacadeDetailElement) formFactory.createCdmDetailElement(DetailType.DERIVED_UNIT_FACADE, rootElement, SWT.NULL);
		derivedUnitFacadeDetailElement.setEntity(entity);
		return derivedUnitFacadeDetailElement;
	}
}
