// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.occurrence;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection;

/**
 * @author n.hoffmann
 * @created Jun 17, 2010
 * @version 1.0
 */
public class FieldObservationDetailSection extends AbstractCdmDetailSection<FieldObservation> implements IFacadeHolder{
	

	private static final Logger logger = Logger
			.getLogger(FieldObservationDetailSection.class);

	private DerivedUnitFacade facade;
	
	public FieldObservationDetailSection(CdmFormFactory formFactory, ConversationHolder conversation,
			ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, conversation, parentElement, selectionProvider, style);
	}
	
	@Override
	protected DetailType getDetailType() {
		return DetailType.FIELD_OBSERVATION;
	}

	@Override
	public String getHeading() {
		return "Field Observation";
	}

	public void setFacade(DerivedUnitFacade facade) {
		this.facade = facade;
		((IFacadeHolder)detailElement).setFacade(facade);
	}

	public DerivedUnitFacade getFacade() {
		return facade;
	}
}
