// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.occurrence;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection;

/**
 * @author n.hoffmann
 * @created Jun 24, 2010
 * @version 1.0
 */
public class GatheringEventDetailSection extends AbstractCdmDetailSection<GatheringEvent> implements IFacadeHolder{

	private static final Logger logger = Logger
			.getLogger(GatheringEventDetailSection.class);

	private DerivedUnitFacade facade;
	
	public GatheringEventDetailSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, conversation, parentElement, selectionProvider, style);
	}
	
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getDetailType()
	 */
	@Override
	protected DetailType getDetailType() {
		return DetailType.GATHERING_EVENT;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getHeading()
	 */
	@Override
	public String getHeading() {
		return "Gathering Event";
	}


	public void setFacade(DerivedUnitFacade facade) {
		this.facade = facade;
		((IFacadeHolder)detailElement).setFacade(facade);
	}


	public DerivedUnitFacade getFacade() {
		return facade;
	}
}
