// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.reference;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.cdm.model.reference.INomenclaturalReference;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.forms.selection.ReferenceSelectionElement;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Mar 12, 2010
 * @version 1.0
 */
public class NomenclaturalReferenceDetailElement extends
		AbstractCdmDetailElement<TaxonNameBase> {
	

	private static final Logger logger = Logger
			.getLogger(NomenclaturalReferenceDetailElement.class);
	private ReferenceSelectionElement selection_nomenclaturalReference;
	private TextWithLabelElement text_referenceDetail;

	public NomenclaturalReferenceDetailElement(CdmFormFactory cdmFormFactory,
			ICdmFormElement formElement, int style) {
		super(cdmFormFactory, formElement);
	}
	
	@Override
	protected void createControls(ICdmFormElement formElement, TaxonNameBase entity, int style) {
		selection_nomenclaturalReference = (ReferenceSelectionElement) 
				formFactory.createSelectionElement(SelectionType.REFERENCE, getConversationHolder(),
						formElement, "Reference", (ReferenceBase) entity.getNomenclaturalReference(), style);
		text_referenceDetail = formFactory.createTextWithLabelElement(formElement, "Reference Detail", entity.getNomenclaturalMicroReference(), style);
	}
	
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == selection_nomenclaturalReference){
			getEntity().setNomenclaturalReference((INomenclaturalReference) selection_nomenclaturalReference.getSelection());
		}else if(eventSource == text_referenceDetail){
			getEntity().setNomenclaturalMicroReference(text_referenceDetail.getText());
		}
	}
}
