// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.reference;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.cdm.model.reference.INomenclaturalReference;
import eu.etaxonomy.cdm.model.taxon.TaxonBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection;
import eu.etaxonomy.taxeditor.section.ITaxonDetailSection;

/**
 * @author n.hoffmann
 * @created Mar 12, 2010
 * @version 1.0
 */
public class NomenclaturalReferenceDetailSection extends
		AbstractCdmDetailSection<TaxonNameBase>  implements ITaxonDetailSection{


	private static final Logger logger = Logger
			.getLogger(NomenclaturalReferenceDetailSection.class);

	public NomenclaturalReferenceDetailSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style) {
		super(cdmFormFactory, conversation, parentElement, selectionProvider, style);
	}
	
	@Override
	protected DetailType getDetailType() {
		return DetailType.NOMENCLATURALREFERENCE;
	}

	@Override
	public String getHeading() {
		return "Nomenclatural Reference";
	}

	public void setTaxon(TaxonBase taxon) {
		TaxonNameBase name = (TaxonNameBase) HibernateProxyHelper.deproxy(taxon.getName());
		setEntity(name);
	}
	
	@Override
	protected void setSectionTitle() {
		String title = "";
		if(getEntity() != null && getEntity().getNomenclaturalReference() != null){
			INomenclaturalReference reference = getEntity().getNomenclaturalReference();
			String nomenclaturalCitation = reference.getNomenclaturalCitation(getEntity().getNomenclaturalMicroReference());
			title = ": " + nomenclaturalCitation;
		}	
		this.setText(getHeading() + title);
	}
}
