// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.reference;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;
import eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class ReferenceBaseWizardPage extends AbstractCdmEntityWizardPage<ReferenceBase> {


	private static final Logger logger = Logger
			.getLogger(ReferenceBaseWizardPage.class);

	public ReferenceBaseWizardPage(CdmFormFactory formFactory, ConversationHolder conversation, ReferenceBase entity) {
		super(formFactory, conversation, entity);
		setTitle("Reference");
	}
	
	/* 
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.CdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
	 */
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement){
		ReferenceBaseDetailElement referenceElement = (ReferenceBaseDetailElement) formFactory.createCdmDetailElement(DetailType.REFERENCEBASE, rootElement, SWT.NULL);
		referenceElement.setEntity(entity);
		
		return referenceElement;
	}
}
