// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.supplemental;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.IntegerTextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement;

/**
 * @author n.hoffmann
 * @created Mar 24, 2010
 * @version 1.0
 */
public abstract class AbstractMediaRepresentationPartElement<T extends MediaRepresentationPart> extends
		AbstractEntityCollectionElement<T> {


	private static final Logger logger = Logger
			.getLogger(AbstractMediaRepresentationPartElement.class);
	protected TextWithLabelElement text_uri;
	protected IntegerTextWithLabelElement text_size;

	public AbstractMediaRepresentationPartElement(CdmFormFactory formFactory,
			AbstractFormSection section,
			T element, SelectionListener removeListener,
			int style) {
		super(formFactory, section, element, removeListener, null, style);
	}
	
	@Override
	public void createControls(ICdmFormElement element, int style) {
		text_uri = formFactory.createTextWithLabelElement(element, "URI", null, style);
		text_size = formFactory.createIntegerTextWithLabelElement(element, "Size", null, style);
		text_size.setEnabled(false);
	}

}
