// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.supplemental;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.common.OriginalSourceBase;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory; 
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;

/**
 * @author n.hoffmann
 * @created Mar 16, 2010
 * @version 1.0
 */
public abstract class AbstractOriginalSourceElement<T extends OriginalSourceBase> extends AbstractReferencedEntityElement<T> {
	private static final Logger logger = Logger
			.getLogger(AbstractOriginalSourceElement.class);
	protected TextWithLabelElement text_idInSource;
	protected TextWithLabelElement text_idNamespace;

	/**
	 * @param formFactory
	 * @param section
	 * @param element
	 * @param removeListener
	 * @param style
	 */
	public AbstractOriginalSourceElement(CdmFormFactory formFactory,
			AbstractFormSection section,
			T element, SelectionListener removeListener,
			int style) {
		super(formFactory, section, element, removeListener, style);
	}
	
	@Override
	public void init() {
		super.init();
		setHasOriginalNameString(true);
	}
	
	@Override
	public void createControls(ICdmFormElement formElement, int style) {
		text_idInSource = formFactory.createTextWithLabelElement(formElement, "Id In Source", null, style);
		text_idNamespace = formFactory.createTextWithLabelElement(formElement, "ID Namespace", null, style);
		super.createControls(formElement, style);
	}
}
