/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.common.Annotation;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.forms.term.AnnotationTypeComboElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement;

/**
 * @author nho
 *
 */
public class AnnotationElement extends AbstractEntityCollectionElement<Annotation>{

	private TextWithLabelElement text;
	private AnnotationTypeComboElement combo_annotationType;

	/**
	 * 
	 * @param formElement
	 * @param annotation
	 * @param propertyChangeListener 
	 * @param style
	 */
	public AnnotationElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Annotation annotation, SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, annotation, removeListener, null, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#createControls(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		combo_annotationType = (AnnotationTypeComboElement) formFactory.createTermComboElement(TermComboType.ANNOTATIONTYPE, this, null, style);
		
		text = formFactory.createMultilineTextWithLabel(this, "Annotation", 100, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#setEntity(eu.etaxonomy.cdm.model.common.AnnotatableEntity)
	 */
	@Override
	public void setEntity(Annotation entity) {
		this.entity = entity;
		combo_annotationType.setSelection(getEntity().getAnnotationType());
		text.setText(entity.getText());
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == combo_annotationType){
			getEntity().setAnnotationType(combo_annotationType.getSelection());
		}else if(eventSource == text){
			getEntity().setText(text.getText());
		}
	}
}
