/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
import eu.etaxonomy.cdm.model.common.Annotation;
import eu.etaxonomy.cdm.model.common.AnnotationType;
import eu.etaxonomy.cdm.model.common.Language;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * 
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class AnnotationSection extends AbstractEntityCollectionSection<AnnotatableEntity, Annotation>{

	/**
	 * @param parentElement
	 * @param style
	 */
	public AnnotationSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Annotations", style);
	}

	@Override
	public Annotation createNewElement() {
		String text = "";
		AnnotationType type = AnnotationType.EDITORIAL();
		Language language = CdmStore.getDefaultLanguage();
		
		return Annotation.NewInstance(text, type, language);
	}

	@Override
	public Collection<Annotation> getCollection(AnnotatableEntity entity) {
		if(entity != null){
			return entity.getAnnotations();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return "No annotations yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new annotation";
	}

	@Override
	public void addElement(Annotation element) {
		getEntity().addAnnotation(element);
	}

	@Override
	public void removeElement(Annotation element) {
		getEntity().removeAnnotation(element);
	}	
}
