/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.agent.AgentBase;
import eu.etaxonomy.cdm.model.common.Credit;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.forms.selection.AbstractSelectionElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement;

/**
 * 
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class CreditElement extends AbstractEntityCollectionElement<Credit>{

	private AbstractSelectionElement<AgentBase> agentSelection;
	private TextWithLabelElement text;
	
	/**
	 * @param formElement
	 * @param style
	 */
	public CreditElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Credit credit, SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, credit, removeListener, null, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#createControls(org.eclipse.swt.widgets.Composite, int)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		agentSelection =  formFactory.createSelectionElement(SelectionType.AGENT, getConversationHolder(), this, "Agent", null, style);
		text = formFactory.createMultilineTextWithLabel(this, "Text", 100, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#setElement(eu.etaxonomy.cdm.model.common.AnnotatableEntity)
	 */
	@Override
	public void setEntity(Credit element) {
		this.entity = element;
		
		agentSelection.setEntity(element.getAgent());
		text.setText(element.getText());
	}

	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == agentSelection){
			entity.setAgent(agentSelection.getSelection());
		}else if(eventSource == text){		
			entity.setText(text.getText());
		}
	}
}
