/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.Credit;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * 
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class CreditSection extends AbstractEntityCollectionSection<IdentifiableEntity, Credit> {

	/**
	 * @param parentElement
	 * @param entity
	 * @param style
	 */
	public CreditSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Credits", style);
	}

	@Override
	public Credit createNewElement() {
		return Credit.NewInstance(null, null);
	}

	@Override
	public Collection<Credit> getCollection(IdentifiableEntity entity) {
		if(entity != null){
			return entity.getCredits();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return  "No credits yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new credit entry";
	}

	@Override
	public void addElement(Credit element) {
		getEntity().addCredit(element);
	}

	@Override
	public void removeElement(Credit element) {
		getEntity().removeCredit(element);
	}

}
