/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import org.eclipse.jface.util.PropertyChangeEvent;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.common.Extension;
import eu.etaxonomy.cdm.model.common.ExtensionType;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement;

/**
 * 
 * @author n.hoffmann
 * @created Nov 17, 2009
 * @version 1.0
 */
public class ExtensionElement extends AbstractEntityCollectionElement<Extension> {

	/**
	 * @param formElement
	 * @param element
	 * @param removeListener
	 * @param propertyChangelistener
	 * @param style
	 */
	public ExtensionElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Extension element,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, element, removeListener, null, style);
	}

	private AbstractTermComboElement<ExtensionType> combo_extensionType;
	private TextWithLabelElement text_extensionValue;
	

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#createControls(org.eclipse.swt.widgets.Composite, int)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		combo_extensionType = formFactory.createTermComboElement(TermComboType.EXTENSIONTYPE, this, null, style);
		text_extensionValue = formFactory.createTextWithLabelElement(element, null, null, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#setElement(eu.etaxonomy.cdm.model.common.VersionableEntity)
	 */
	@Override
	public void setEntity(Extension element) {
		this.entity = element;
		ExtensionType extensionType = (ExtensionType) HibernateProxyHelper.deproxy(element.getType());
		combo_extensionType.setSelection(extensionType);
		text_extensionValue.setText(element.getValue());	
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == combo_extensionType){
			entity.setType(combo_extensionType.getSelection());
		}
		else if(eventSource == text_extensionValue){
			entity.setValue(text_extensionValue.getText());
		}
	}

}
