/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.Extension;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author nho
 *
 */
public class ExtensionSection extends AbstractEntityCollectionSection<IdentifiableEntity, Extension> {

	/**
	 * @param parentElement
	 * @param entity
	 * @param style
	 */
	public ExtensionSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation,parentElement, "Extensions", style);
	}

	@Override
	public Extension createNewElement() {
		return Extension.NewInstance();
	}

	@Override
	public Collection<Extension> getCollection(IdentifiableEntity entity) {
		if(entity != null){
			return entity.getExtensions();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return "No extensions yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new extension";
	}


	@Override
	public void addElement(Extension element) {
		getEntity().addExtension(element);
	}


	@Override
	public void removeElement(Extension element) {
		getEntity().removeExtension(element);
	}

}
