/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;


import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.cdm.model.common.VersionableEntity;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.EmptyElement;

/**
 * @author n.hoffmann
 *
 */
public class HeadlineSection extends AbstractFormSection<VersionableEntity> {

	private EmptyElement emptyElement;

	public HeadlineSection(CdmFormFactory cdmFormFactory, ICdmFormElement parentElement,
			int style) {
		super(cdmFormFactory, null, parentElement, style);
		emptyElement = cdmFormFactory.createEmptyElement(this);
	}
	
	@Override
	public void setEntity(VersionableEntity versionableEntity) {
		VersionableEntity entity = (VersionableEntity) HibernateProxyHelper.deproxy(versionableEntity);
		super.setEntity(entity);
		setText(entity.getClass().getSimpleName() + (entity instanceof IdentifiableEntity ? ": " + ((IdentifiableEntity) entity).getTitleCache() : ""));
		layout();
	}

}
