/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
import eu.etaxonomy.cdm.model.common.Marker;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author nho
 *
 */
public class MarkerSection extends AbstractEntityCollectionSection<AnnotatableEntity, Marker> {

	/**
	 * @param parentElement
	 * @param entity
	 * @param style
	 */
	public MarkerSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Marker", style);
	}

	@Override
	public Marker createNewElement() {
		return Marker.NewInstance();
	}

	@Override
	public Collection<Marker> getCollection(AnnotatableEntity entity) {
		if(entity != null){
			return entity.getMarkers();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return "No markers yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new marker";
	}

	@Override
	public void addElement(Marker element) {
		getEntity().addMarker(element);
	}

	@Override
	public void removeElement(Marker element) {
		getEntity().removeMarker(element);
	}

}
