
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.media.ImageFile;
import eu.etaxonomy.cdm.model.media.MediaRepresentation;
import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

public class MediaRepresentationPartSection extends
		AbstractEntityCollectionSection<MediaRepresentation, MediaRepresentationPart> {
	
	private static final Logger logger = Logger
			.getLogger(MediaRepresentationPartSection.class);
	
	public MediaRepresentationPartSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Media Representation Part", style);
	}

	@Override
	public void addElement(MediaRepresentationPart element) {
		getEntity().addRepresentationPart(element);
	}

	@Override
	public MediaRepresentationPart createNewElement() {
		// we are suporting image only at the moment
		return ImageFile.NewInstance(null, null);
	}

	@Override
	public Collection<MediaRepresentationPart> getCollection(
			MediaRepresentation entity) {
		return getEntity().getParts();
	}

	@Override
	public String getEmptyString() {
		return "No media representation parts yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create new media representation part.";
	}

	@Override
	public void removeElement(MediaRepresentationPart element) {
		getEntity().removeRepresentationPart(element);
	}

	
}
