// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.cdm.model.media.MediaRepresentation;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 * @created Mar 24, 2010
 * @version 1.0
 */
public class MediaRepresentationSection extends AbstractEntityCollectionSection<Media, MediaRepresentation> {

	private static final Logger logger = Logger
			.getLogger(MediaRepresentationSection.class);

	public MediaRepresentationSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation,
			ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Media Representation", style);
	}
	
	@Override
	public void addElement(MediaRepresentation element) {
		getEntity().addRepresentation(element);
	}

	@Override
	public MediaRepresentation createNewElement() {
		return MediaRepresentation.NewInstance();
	}

	@Override
	public Collection<MediaRepresentation> getCollection(
			Media entity) {
		return getEntity().getRepresentations();
	}

	@Override
	public String getEmptyString() {
		return "No media representations yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new media representation";
	}

	@Override
	public void removeElement(MediaRepresentation element) {
		getEntity().removeRepresentation(element);
	}


}
