/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity;
import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * 
 * @author nho
 *
 */
public class MediaSection extends AbstractEntityCollectionSection<IdentifiableMediaEntity, Media>{

	/**
	 * @param parentElement
	 * @param entity
	 * @param style
	 */
	public MediaSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Media", style);
	}

	@Override
	public Media createNewElement() {
		return Media.NewInstance();
	}

	@Override
	public Collection<Media> getCollection(IdentifiableMediaEntity entity) {
		return entity.getMedia();
	}

	@Override
	public String getEmptyString() {
		return "No media yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create new media";
	}

	@Override
	public void addElement(Media element) {
		getEntity().addMedia(element);
	}

	@Override
	public void removeElement(Media element) {
		getEntity().removeMedia(element);
	}

}
