/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.agent.AgentBase;
import eu.etaxonomy.cdm.model.media.Rights;
import eu.etaxonomy.cdm.model.media.RightsTerm;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.forms.selection.AbstractSelectionElement;
import eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement;

/**
 * 
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class RightsElement extends AbstractEntityCollectionElement<Rights> {

	/**
	 * @param formElement
	 * @param element
	 * @param removeListener
	 * @param propertyChangelistener
	 * @param style
	 */
	public RightsElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Rights element,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, element, removeListener, null, style);
	}

	private AbstractTermComboElement<RightsTerm> combo_rightsType;
	private AbstractSelectionElement<AgentBase> selection_agent;
	private TextWithLabelElement text;
	
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#createControls(org.eclipse.swt.widgets.Composite, int)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		combo_rightsType = formFactory.createTermComboElement(TermComboType.RIGHTSTYPE, this, null, style);
		selection_agent =  formFactory.createSelectionElement(SelectionType.AGENT, getConversationHolder(), this, "Agent", null, style);
		text = formFactory.createMultilineTextWithLabel(this, "Text", 100, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#setElement(eu.etaxonomy.cdm.model.common.VersionableEntity)
	 */
	@Override
	public void setEntity(Rights element) {
		this.entity = element;
		combo_rightsType.setSelection(element.getType());
		selection_agent.setEntity(element.getAgent());
		text.setText(element.getText());
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == combo_rightsType){
			entity.setType(combo_rightsType.getSelection());
		}
		else if(eventSource == selection_agent){
			entity.setAgent(selection_agent.getSelection());
		}
		else if(eventSource == text){
			entity.setText(text.getText());
		}
	}

}
