/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.cdm.model.media.Rights;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * @author nho
 *
 */
public class RightsSection extends AbstractEntityCollectionSection<IdentifiableEntity, Rights> {

	/**
	 * @param parentElement
	 * @param entity
	 * @param style
	 */
	public RightsSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Rights", style);
	}

	@Override
	public Rights createNewElement() {
		return Rights.NewInstance();
	}

	@Override
	public Collection<Rights> getCollection(IdentifiableEntity entity) {
		if(entity != null){
			return entity.getRights();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return "No rights yet.";
	}

	@Override
	protected String getTooltipString() {
		// TODO Auto-generated method stub
		return "Create new rights.";
	}

	@Override
	public void addElement(Rights element) {
		getEntity().addRights(element);
	}

	@Override
	public void removeElement(Rights element) {
		getEntity().removeRights(element);
	}

}
