/**
 * 
 */
package eu.etaxonomy.taxeditor.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.cdm.model.common.IdentifiableSource;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.section.AbstractEntityCollectionSection;

/**
 * 
 * @author n.hoffmann
 * @created Nov 17, 2009
 * @version 1.0
 */
public class SourceSection extends AbstractEntityCollectionSection<IdentifiableEntity, IdentifiableSource> {

	/**
	 * @param parentElement
	 * @param entity
	 * @param style
	 */
	public SourceSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Sources", style);
	}

	@Override
	public IdentifiableSource createNewElement() {
		return IdentifiableSource.NewInstance();
	}

	@Override
	public Collection<IdentifiableSource> getCollection(
			IdentifiableEntity entity) {
		if(entity != null){
			return entity.getSources();
		}
		return null;
	}

	@Override
	public String getEmptyString() {
		return "No references yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Create a new reference.";
	}

	@Override
	public void addElement(IdentifiableSource element) {
		getEntity().addSource(element);
	}

	@Override
	public void removeElement(IdentifiableSource element) {
		getEntity().removeSource(element);
	}

}
