// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.supplemental;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.common.VersionableEntity;
import eu.etaxonomy.taxeditor.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Mar 2, 2010
 * @version 1.0
 */
public class VersionSection extends AbstractFormSection<VersionableEntity>{

	private static final Logger logger = Logger.getLogger(VersionSection.class);
	private VersionElement versionElement;
	
	public VersionSection(CdmFormFactory cdmFormFactory, ICdmFormElement parentElement,
			int style) {
		super(cdmFormFactory, null, parentElement, style);
		versionElement = cdmFormFactory.createVersionElement(this, null, style);
	}
	
	
	@Override
	public void setEntity(VersionableEntity entity) {
		super.setEntity(entity);
		versionElement.setEntity(entity);
	}
}
