// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.taxon;


import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;

import eu.etaxonomy.cdm.strategy.parser.ParserProblem;
import eu.etaxonomy.taxeditor.forms.AbstractCdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Mar 3, 2010
 * @version 1.0
 */
public class ParsingMessageElement extends AbstractCdmFormElement {

	private static final Logger logger = Logger
			.getLogger(ParsingMessageElement.class);
	
	private Label parsingMessage;

	private ParserProblem parserProblem;
	
	public ParsingMessageElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, ParserProblem parserProblem, int style) {
		super(formFactory, parentElement);
		this.parserProblem = parserProblem;
		createControl(getLayoutComposite(), SWT.TOP);
	}

	private void createControl(Composite parent, int style) {
		parsingMessage = formFactory.createLabel(parent, parserProblem.getMessage(CdmStore.getDefaultLanguage()));
		parsingMessage.setBackground(getColor());
//		parsingMessage.setLayoutData(FILL_GRID_HORIZONTALLY());
	}

	public void setSelected(boolean selected) {
		// TODO Auto-generated method stub
		
	}
	
	private Color getColor(){
		if(parserProblem.isError()){
			return Display.getCurrent().getSystemColor(SWT.COLOR_RED);
		}
		
		if(parserProblem.isWarning()){
			return Display.getCurrent().getSystemColor(SWT.COLOR_YELLOW);
		}
		// we should never get here
		return null;
	}
}
