// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.section.taxon;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.taxon.TaxonBase;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection;
import eu.etaxonomy.taxeditor.section.ITaxonDetailSection;

/**
 * @author n.hoffmann
 * @created Nov 4, 2009
 * @version 1.0
 */
public class TaxonBaseDetailSection extends AbstractCdmDetailSection<TaxonBase> implements ITaxonDetailSection{

	private static final Logger logger = Logger
			.getLogger(TaxonBaseDetailSection.class);
	
	/**
	 * @param parentElement
	 * @param listener
	 * @param style
	 */
	public TaxonBaseDetailSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style) {
		super(cdmFormFactory, conversation, parentElement, selectionProvider, style);
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.ITaxonDetailSection#setTaxon(eu.etaxonomy.cdm.model.taxon.TaxonBase)
	 */
	public void setTaxon(TaxonBase taxon) {
		TaxonBase taxonBase = (TaxonBase) HibernateProxyHelper.deproxy(taxon); 
		setEntity(taxonBase);
	}

	@Override
	public String getHeading() {
		return getEntity() != null ? getEntity().getClass().getSimpleName() : "TaxonBase";
	}

	@Override
	protected DetailType getDetailType() {
		return DetailType.TAXONBASE;
	}

}
