package eu.etaxonomy.taxeditor.navigation.handler;
// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/


import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.navigation.NavigationUtil;
import eu.etaxonomy.taxeditor.wizard.NewTaxonNodeWizard;

/**
 * @author n.hoffmann
 * @created Sep 15, 2009
 * @version 1.0
 */
public class NewTaxonNodeHandler extends AbstractHandler implements IHandler {
	private static final Logger logger = Logger
			.getLogger(NewTaxonNodeHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
				
		NewTaxonNodeWizard wizard = new NewTaxonNodeWizard();
		WizardDialog dialog = new WizardDialog(HandlerUtil.getActiveShell(event), wizard);
		int status = dialog.open();
		
		if(status == Status.OK && wizard.openInEditor()){
			if(wizard.openEmpty()){
				// if name is empty
				NavigationUtil.openEmpty(wizard.getParent().getUuid());
			}else{
				NavigationUtil.openEditor(wizard.getTaxonNode());
			}
		}		
		
		return null;
	}
}
