/**
 * 
 */
package eu.etaxonomy.taxeditor.navigation.navigator;

import org.eclipse.core.expressions.PropertyTester;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.cdm.model.taxon.TaxonNode;
import eu.etaxonomy.cdm.model.taxon.TaxonomicTree;

public class TaxonNodePropertyTester extends PropertyTester {
	
	private static final Object HAS_SYNONYMS = "hasSynonyms";
	private static final Object HAS_TAXA = "hasTaxa";
	
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		if (receiver instanceof TaxonNode && HAS_SYNONYMS.equals(property)) {
			Taxon taxon = ((TaxonNode) receiver).getTaxon();
			if(taxon != null){
				return taxon.hasSynonyms();
			}
		}

		if (receiver instanceof TaxonomicTree && HAS_TAXA.equals(property)) {
			TaxonomicTree taxononomicTree = (TaxonomicTree) receiver;
			return taxononomicTree.getChildNodes().size() > 0;
		}
		
		return false;
	}
}
