// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.io.wizard;

import java.io.File;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.io.sdd.SDDExportConfigurator;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Jun 16, 2010
 * @version 1.0
 */
public class SddExportWizard extends AbstractExportWizard<SDDExportConfigurator> {
	private static final Logger logger = Logger
			.getLogger(SddExportWizard.class);

	private ExportToFileDestinationWizardPage page;
	
	private SDDExportConfigurator configurator;
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#getConfigurator()
	 */
	@Override
	public SDDExportConfigurator getConfigurator() {
		return configurator;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		File file = new File(page.getFolderText() + File.separator + page.getExportFileName());
		
		configurator.setDestination(file);
		
		CdmStore.getExportHandler().run(configurator);
		
		return true;
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.io.wizard.AbstractExportWizard#addPages()
	 */
	@Override
	public void addPages() {
		super.addPages();
		
		page = ExportToFileDestinationWizardPage.Sdd();
		addPage(page);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench, org.eclipse.jface.viewers.IStructuredSelection)
	 */
	public void init(IWorkbench workbench, IStructuredSelection selection) {		
		this.setWindowTitle("SDD Export");
		this.configurator = CdmStore.getExportHandler().SddConfigurator();
	}
}
