/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.cdm.model.taxon.TaxonBase;

/**
 * @author p.ciardelli
 * @author n.hoffmann
 * @created 18.03.2009
 * @version 1.0
 */
public class NameHelper {	

	@SuppressWarnings("unchecked")
	public static String getDisplayName(TaxonNameBase name){
		return name.getTitleCache();
	}
	
	public static String getDisplayName(TaxonBase<?> taxon){
		return getDisplayName(taxon.getName());
	}
	
	@SuppressWarnings("unchecked")
	public static String getDisplayNameWithRef(TaxonBase taxonBase) {
		TaxonNameBase name = taxonBase.getName();
		if (name != null) {
			return name.generateFullTitle();
		}
		return "";
	}	
}
