// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import org.apache.log4j.Logger;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.widgets.Control;

/**
 * @author n.hoffmann
 * @created Mar 30, 2010
 * @version 1.0
 */
public class TextHelper {
	private static final Logger logger = Logger.getLogger(TextHelper.class);
	
	public static final String ELLIPSIS = "...";
		
	/**
	 * @param textValue
	 * @param control
	 * @return
	 * @see org.eclipse.jface.dialogs.Dialog#shortenText(String, Control)
	 */
	public static String shortenText(String textValue, Control control) {
		if (textValue == null) {
			return null;
		}
		GC gc = new GC(control);
		int maxWidth = control.getBounds().width;
		int maxExtent = gc.textExtent(textValue).x;
		if (maxExtent < maxWidth) {
			gc.dispose();
			return textValue;
		}
		int length = textValue.length();
		int charsToClip = Math.round(0.95f*length * (1 - ((float)maxWidth/maxExtent)));
		
		int end = length - charsToClip;
		while (end > 0) {
			String s1 = textValue.substring(0, end);
			String s = s1 + ELLIPSIS;
			int l = gc.textExtent(s).x;
			if (l < maxWidth) {
				gc.dispose();
				return s;
			}
			end--;
		}
		gc.dispose();
		return textValue;
		
	}
}
