// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizards;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

import eu.etaxonomy.cdm.model.agent.AgentBase;

/**
 * @author n.hoffmann
 * @created Apr 16, 2010
 * @version 1.0
 */
public class NewGenericReferenceWizardPage extends WizardPage {


	private static final Logger logger = Logger
			.getLogger(NewGenericReferenceWizardPage.class);
	
	private Combo combo_referenceType;
	private Text text_title;
	private AgentBase selection_agent;
	private Text text_editor;
	private Text text_series;
	private Text text_volume;
	private Text text_pages;

	protected NewGenericReferenceWizardPage(String pageName) {
		super(pageName);
	}

	/**
	 * 
	 */
	public void createControl(Composite parent) {
		setTitle("General");
		setDescription("General information for a reference.");
		
		Composite container = new Composite(parent, SWT.NULL);
		container.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
		
		container.setLayout(new GridLayout(2, false));
		
		createLabel(container, "Reference Type");
		combo_referenceType = new Combo(container, SWT.NULL);
		top(combo_referenceType);
		
		createLabel(container, "Title");
		text_title = new Text(container, SWT.NULL);
		top(text_title);
		
//		createLabel(container, "Author Team");
//		selection_agent = FilteredAgentSelectionDialog.selectAgent(getShell(), null);
		
//		composite_timePeriod
		
		createLabel(container, "Editor");
		text_editor = new Text(container, SWT.NULL);
		top(text_editor);
		
		createLabel(container, "Series");
		text_series = new Text(container, SWT.NULL);
		top(text_series);
		
		createLabel(container, "Volume");
		text_volume = new Text(container, SWT.NULL);
		top(text_volume);
		
		createLabel(container, "Pages");
		text_pages = new Text(container, SWT.NULL);
		top(text_pages);
		
		setControl(container);
	}
	
	
	private Label createLabel(Composite parent, String labelString){
		Label label = new Label(parent, SWT.NULL);
		label.setText(labelString);
		return label;
	}
	
	private void top(Control control){
		control.setLayoutData(new GridData(SWT.FILL, SWT.TOP, true, false));
	}
}
