// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;

/**
 * @author n.hoffmann
 * @created Jul 12, 2010
 * @version 1.0
 */
public interface IPreferenceKeys {
	/**
	 * 
	 */
	public static final String PREFERRED_NOMENCLATURAL_CODE_KEY = "code";
	
	/**
	 * 
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_TAXA = "taxonServiceConfigurator.doTaxa";
	
	/**
	 * 
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_SYNONYMS = "taxonServiceConfigurator.doSynonyms";
	
	/**
	 * 
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_NAMES = "taxonServiceConfigurator.doNamesWithoutTaxa";
	
	/**
	 * 
	 */
	public static final String TAXON_SERVICE_CONFIGURATOR_COMMON_NAMES = "taxonServiceConfigurator.doTaxaByCommonNames";
	
	/**
	 * Whether to show UUID and database id in the supplemental data view. 
	 */
	public static final String SHOW_DEBUG_INFORMATION = "showDebugInformation";

	/**
	 * 
	 */
	public static final String HIDE_BULKEDITOR_INFO = "bulkeditorInfo.hide";

	/**
	 * 
	 */
	public static final String EDIT_MARKER_TYPE_PREFIX = "editMarkerType";

	/**
	 * 
	 */
	public static final String MATCH_STRATEGY_PREFIX = "matchStrategy.";

	/**
	 * Access point to the EDIT Map Service that should be used. 
	 */
	public static final String EDIT_MAP_SERVICE_ACCES_POINT = "editMapServiceAccessPoint";

	/**
	 * Whether the editor should connect to a database immediately after starting. 
	 * When editor launches for the first time, it will use the default h2 database. 
	 * Subsequent launches will always try to connect to the database it was connected to during 
	 * the previous session. 
	 */
	public static final String SHOULD_CONNECT_AT_STARTUP = "shouldConnectAtStartup";
}
