// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.matching;

import org.apache.log4j.Logger;
import org.eclipse.ui.IWorkbench;

import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
import eu.etaxonomy.cdm.strategy.match.IMatchStrategy;
import eu.etaxonomy.cdm.strategy.match.MatchException;
import eu.etaxonomy.taxeditor.parser.MatchStrategyConfigurator;

/**
 * @author n.hoffmann
 * @created Jan 22, 2010
 * @version 1.0
 */
public class TeamOrPersonMatchingPreference extends
		AbstractMatchingPreferences<TeamOrPersonBase> {
	private static final Logger logger = Logger
			.getLogger(TeamOrPersonMatchingPreference.class);

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	public void init(IWorkbench workbench) {

		clazz = TeamOrPersonBase.class;
		
		try {
			matchStrategy = MatchStrategyConfigurator.TeamOrPersonMatchStrategy();
		} catch (MatchException e) {
			logger.error(e);
			throw new RuntimeException(e);
		}
	}	

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.matching.AbstractMatchingPreferences#getDefaultMatchStrategy()
	 */
	@Override
	protected IMatchStrategy getDefaultMatchStrategy() throws MatchException {
		return  MatchStrategyConfigurator.getDefaultTeamOrPersonMatchStrategy();
	}
}
