// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.store;

import java.util.Observable;

import org.apache.log4j.Logger;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

import eu.etaxonomy.cdm.model.common.User;

/**
 * @author n.hoffmann
 * @created 03.07.2009
 * @version 1.0
 */
public class LoginManager extends Observable{
	private static final Logger logger = Logger.getLogger(LoginManager.class);
	
	/**
	 * @param token
	 */
	public void authenticate(UsernamePasswordAuthenticationToken token){
		Authentication authentication = CdmStore.getAuthenticationManager().authenticate(token);
		SecurityContextHolder.getContext().setAuthentication(authentication);
		
		this.setChanged();
		this.notifyObservers();
	}
	
	/**
	 * 
	 * @return
	 */
	public User getAuthenticatedUser(){
		Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
		
		if(authentication != null 
				&& authentication.getPrincipal() != null 
				&& authentication.getPrincipal() instanceof User){
			return (User)authentication.getPrincipal();
		}
		return null;
	}
}
