// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.user.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.common.NotDefinedException;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.operations.AbstractPostOperation;
import eu.etaxonomy.taxeditor.operations.ToggleUserEnablementOperation;
import eu.etaxonomy.taxeditor.store.StoreUtil;
import eu.etaxonomy.taxeditor.user.view.UserManagerView;

/**
 * @author n.hoffmann
 * @created 02.07.2009
 * @version 1.0
 */
public class ToggleUserEnablementHandler extends AbstractHandler {
	private static final Logger logger = Logger
			.getLogger(ToggleUserEnablementHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		
		StructuredSelection menuSelection = (StructuredSelection) HandlerUtil.getActiveMenuSelection(event);
		
		for (Object object : menuSelection.toArray()){
		
			User user = (User) object;

			// TODO refresh the list -> set postOperationEnabled to the real deal
			UserManagerView userManagerView = (UserManagerView) HandlerUtil.getActivePart(event);
			
			AbstractPostOperation operation = null;
			try {
				operation = new ToggleUserEnablementOperation(event.getCommand().getName(), 
							StoreUtil.getUndoContext(), user, userManagerView, userManagerView);
				
				StoreUtil.executeOperation(operation);
			} catch (NotDefinedException e) {
				logger.warn("Command name not set");
			}
		}

		return null;
	}
}
