// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.user.view;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created 01.07.2009
 * @version 1.0
 */
public class UserManagerLabelProvider extends LabelProvider implements ITableLabelProvider {
	private static final Logger logger = Logger
			.getLogger(UserManagerLabelProvider.class);

	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	public String getColumnText(Object element, int columnIndex) {
		User user = (User) element;
		
		User authenticatedUser = CdmStore.getLoginManager().getAuthenticatedUser();
		
		switch(columnIndex){
		case 0:
			return user.equals(authenticatedUser) ? "*" : "";
		case 1: 
			return user.getUsername();
		case 2:
			return user.isEnabled() ? "Yes" : "No";
		case 3: 
			return user.isAccountNonLocked() ? "No" : "Yes";
		case 4:
			Person person = user.getPerson();
			if (person != null){
				return person.getTitleCache();
			}
		case 5:
			return user.getEmailAddress();
		
		}
		
		return "-";
	}

}
